%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	XML-Encoding

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Perl Module that parses encoding map XML files
Name:		perl-%{perlname}
Version:	2.01
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=XML+Encoding
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-XML-Parser 

%description
Perl Module that parses encoding map XML files
For more details see: http://search.cpan.org/search?module=XML+Encoding

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir
%_bindir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.01-1
- Version Update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 1.01-3
- Rebuild against perl 5.8.8
* Tue Dec 06 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.01-2
- Rebuild against perl 5.8.7
* Tue Dec 06 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.01-1
- Initial Release
